API server
https://app.coolify.io/api/v1Update S3 storage by UUID.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
S3 Storage UUID
Request Body
application/json
S3 storage fields to update.
TypeScript Definitions
Use the request body type in TypeScript.
name?string
A friendly name for the storage.
description?string
Optional description.
endpoint?string
S3-compatible endpoint URL.
bucket?string
S3 bucket name.
region?string
S3 region.
key?string
Access key.
secret?string
Secret key.
is_usable?boolean
Whether the storage is marked usable.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/s3-storages/string" \ -H "Content-Type: application/json" \ -d '{}'{ "uuid": "string"}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}